Opened 11 years ago

Last modified 4 years ago

#4490 reopened Bug report

cannot list symbolic links

Reported by: Liviu Owned by:
Priority: normal Component: FileZilla Client
Keywords: cannot list symbolic links Cc:
Component version: Operating system type:
Operating system version:

Description (last modified by Alexander Schuch)

The new Filezilla client does not list symbolic link that are on the sftp server.I am using surge fpt as server.
I have a symbolic link in my home dir that is called sftp_data and i cannot see that link with the latest client and with a old client i can see it.

The only dir that i see with latest client is .ssh

12:34:03 Status: Resolving address of sftp.wgint.com
12:34:03 Status: Connecting to 144.78.15.17:990...
12:34:03 Status: Connection established, initializing TLS...
12:34:04 Status: Verifying certificate...
12:34:04 Status: TLS/SSL connection established, waiting for welcome message...
12:34:04 Response: 220 SurgeFTP sftp.wgint.com (Version 2.2k6)
12:34:04 Command: USER elamalm
12:34:04 Response: 331 Password required for elamalm.
12:34:04 Command: PASS
12:34:04 Response: 230- Alias Real path Access
12:34:05 Response: 230- / /export/home/sysadm/elamalm read+write
12:34:05 Response: 230 User elamalm logged in.
12:34:05 Command: SYST
12:34:05 Response: 215 UNIX Type: L8
12:34:05 Command: FEAT
12:34:05 Response: 211-Extensions supported:
12:34:06 Response: MDTM
12:34:06 Response: MLST type*,size*,modify*,create,unique*,perm,unix.mode,unix.owner,unix.group
12:34:06 Response: PASV
12:34:06 Response: REST STREAM
12:34:06 Response: SSCN
12:34:06 Response: SIZE
12:34:06 Response: TVFS
12:34:06 Response: EPRT
12:34:06 Response: EPSV
12:34:06 Response: 211 End.
12:34:06 Command: PBSZ 0
12:34:06 Response: 200 Great whatever you say
12:34:06 Command: PROT P
12:34:06 Response: 200 Data channel will be encrypted
12:34:06 Status: Connected
12:34:06 Status: Retrieving directory listing...
12:34:06 Command: PWD
12:34:06 Response: 257 "/" is current directory.
12:34:06 Command: TYPE I
12:34:06 Response: 200 Type set to I
12:34:06 Command: PASV
12:34:06 Response: 227 Entering Passive Mode (144,78,15,17,234,96)
12:34:06 Command: MLSD
12:34:07 Response: 150 Opening BINARY connection for /
12:34:08 Response: 226 MLSD complete. list access allowed (/)
12:34:08 Status: Directory listing successful
12:34:17 Status: Retrieving directory listing...
12:34:17 Command: CWD /.ssh
12:34:17 Response: 250 CWD command successful now (/.ssh)
12:34:17 Command: PWD
12:34:17 Response: 257 "/.ssh" is current directory.
12:34:17 Command: PASV
12:34:18 Response: 227 Entering Passive Mode (144,78,15,17,234,96)
12:34:18 Command: MLSD
12:34:18 Response: 150 Opening BINARY connection for /.ssh
12:34:18 Response: 226 MLSD complete. list access allowed (/.ssh)
12:34:18 Status: Directory listing successful
12:34:19 Status: Retrieving directory listing...
12:34:19 Command: CWD /
12:34:19 Response: 250 CWD command successful now (/)
12:34:19 Command: PWD
12:34:20 Response: 257 "/" is current directory.
12:34:20 Status: Directory listing successful

The same thing with a 3.1.5.1 client and i can see the sftp_data link:

12:30:42 Status: Resolving address of sftp.wgint.com
12:30:42 Status: Connecting to 144.78.15.17:990...
12:30:42 Status: Connection established, initializing TLS...
12:30:43 Status: Verifying certificate...
12:30:43 Status: TLS/SSL connection established, waiting for welcome message...
12:30:43 Response: 220 SurgeFTP sftp.wgint.com (Version 2.2k6)
12:30:43 Command: USER elamalm
12:30:43 Response: 331 Password required for elamalm.
12:30:43 Command: PASS
12:30:43 Response: 230- Alias Real path Access
12:30:44 Response: 230- / /export/home/sysadm/elamalm read+write
12:30:44 Response: 230 User elamalm logged in.
12:30:44 Command: SYST
12:30:44 Response: 215 UNIX Type: L8
12:30:44 Command: FEAT
12:30:44 Response: 211-Extensions supported:
12:30:44 Response: MDTM
12:30:44 Response: MLST type*,size*,modify*,create,unique*,perm,unix.mode,unix.owner,unix.group
12:30:44 Response: PASV
12:30:44 Response: REST STREAM
12:30:44 Response: SSCN
12:30:44 Response: SIZE
12:30:44 Response: TVFS
12:30:44 Response: EPRT
12:30:44 Response: EPSV
12:30:44 Response: 211 End.
12:30:44 Command: PBSZ 0
12:30:45 Response: 200 Great whatever you say
12:30:45 Command: PROT P
12:30:45 Response: 200 Data channel will be encrypted
12:30:45 Status: Connected
12:30:45 Status: Retrieving directory listing...
12:30:45 Command: PWD
12:30:45 Response: 257 "/" is current directory.
12:30:45 Command: TYPE I
12:30:45 Response: 200 Type set to I
12:30:45 Command: PASV
12:30:45 Response: 227 Entering Passive Mode (144,78,15,17,234,96)
12:30:45 Command: LIST
12:30:46 Response: 150 Opening BINARY connection for /
12:30:47 Response: 226 Transfer complete.
12:30:47 Status: Calculating timezone offset of server...
12:30:47 Command: MDTM .sh_history
12:30:47 Response: 213 20090508090548
12:30:47 Status: Timezone offsets: Server: -18000 seconds. Local: 10800 seconds. Difference: 28800 seconds.
12:30:47 Status: Directory listing successful
12:31:07 Status: Retrieving directory listing...
12:31:07 Command: CWD /sftp_data
12:31:07 Response: 250 CWD command successful now (/sftp_data)
12:31:07 Command: PWD
12:31:07 Response: 257 "/sftp_data" is current directory.
12:31:07 Command: PASV
12:31:07 Response: 227 Entering Passive Mode (144,78,15,17,234,96)
12:31:07 Command: LIST
12:31:08 Response: 150 Opening BINARY connection for /sftp_data
12:31:08 Response: 226 Transfer complete.
12:31:08 Status: Directory listing successful
12:35:24 Status: Retrieving directory listing...
12:35:24 Command: CWD /.ssh
12:35:25 Response: 250 CWD command successful now (/.ssh)
12:35:25 Command: PWD
12:35:25 Response: 257 "/.ssh" is current directory.
12:35:25 Command: PASV
12:35:25 Response: 227 Entering Passive Mode (144,78,15,17,234,96)
12:35:25 Command: LIST
12:35:25 Response: 150 Opening BINARY connection for /.ssh
12:35:26 Response: 226 Transfer complete.
12:35:26 Status: Directory listing successful

Thanks

Change History (8)

comment:1 Changed 11 years ago by Tim Kosse

Resolution: fixed
Status: newclosed

Should have been fixed already, please try the latest build from http://fiezilla-project.org/nightly.php

comment:2 Changed 11 years ago by Liviu

Resolution: fixed
Status: closedreopened

I've tried both builds from 2009-05-08 , i586-mingw32msvc and I still don't see that symbolic link.

Any advice?
Thanks,

comment:3 Changed 11 years ago by Tim Kosse

Status: reopenedmoreinfo_reopened

Please enable "Show raw directory listings" in the settings dialog and attach a complete log.

comment:4 Changed 11 years ago by Liviu

Status: moreinfo_reopenedreopened

This is the log with build1 from nightly build:

16:51:42 Status: Resolving address of sftp.wgint.com
16:51:42 Status: Connecting to 144.78.15.17:990...
16:51:42 Status: Connection established, initializing TLS...
16:51:42 Status: Verifying certificate...
16:51:42 Status: TLS/SSL connection established, waiting for welcome message...
16:51:43 Response: 220 SurgeFTP sftp.wgint.com (Version 2.2k6)
16:51:43 Command: USER elamalm
16:51:43 Response: 331 Password required for elamalm.
16:51:43 Command: PASS
16:51:43 Response: 230- Alias Real path Access
16:51:44 Response: 230- / /export/home/sysadm/elamalm read+write
16:51:44 Response: 230 User elamalm logged in.
16:51:44 Command: SYST
16:51:44 Response: 215 UNIX Type: L8
16:51:44 Command: FEAT
16:51:44 Response: 211-Extensions supported:
16:51:44 Response: MDTM
16:51:44 Response: MLST type*,size*,modify*,create,unique*,perm,unix.mode,unix.owner,unix.group
16:51:44 Response: PASV
16:51:44 Response: REST STREAM
16:51:44 Response: SSCN
16:51:44 Response: SIZE
16:51:44 Response: TVFS
16:51:44 Response: EPRT
16:51:44 Response: EPSV
16:51:44 Response: 211 End.
16:51:44 Command: PBSZ 0
16:51:44 Response: 200 Great whatever you say
16:51:44 Command: PROT P
16:51:45 Response: 200 Data channel will be encrypted
16:51:45 Status: Connected
16:51:45 Status: Retrieving directory listing...
16:51:45 Command: PWD
16:51:45 Response: 257 "/" is current directory.
16:51:45 Command: TYPE I
16:51:45 Response: 200 Type set to I
16:51:45 Command: PASV
16:51:45 Response: 227 Entering Passive Mode (144,78,15,17,234,96)
16:51:45 Command: MLSD
16:51:45 Response: 150 Opening BINARY connection for /
16:51:46 Listing: type=cdir;size=1536;modify=20090508090545;create=20090508090545;unique=22282253.82026;perm=cdeflmp;unix.mode=drwxr-xr-x;unix.owner=elamalm;unix.group=pscunix /
16:51:46 Listing: type=file;size=4000;modify=20090508094516;create=20090508094516;unique=22282253.81041;perm=r;unix.mode=-rw-------;unix.owner=elamalm;unix.group=pscunix .sh_history
16:51:46 Listing: type=dir;size=512;modify=20081105092204;create=20081105092204;unique=22282253.82028;perm=cdeflmp;unix.mode=drwxr-xr-x;unix.owner=elamalm;unix.group=pscunix .ssh
16:51:46 Listing: type=file;size=400;modify=20081113091039;create=20090503001633;unique=22282253.82030;perm=r;unix.mode=-rw-r--r--;unix.owner=elamalm;unix.group=pscunix .profile
16:51:46 Listing: type=file;size=25571;modify=20081112130806;create=20090503001633;unique=22282253.82031;perm=r;unix.mode=-rw-r--r--;unix.owner=elamalm;unix.group=pscunix TermEmpl10Nov08.txt
16:51:46 Listing: type=file;size=19;modify=20081113090808;create=20090503001633;unique=22282253.82032;perm=r;unix.mode=-rw-r--r--;unix.owner=elamalm;unix.group=pscunix .kshrc
16:51:46 Listing: type=file;size=21364;modify=20081127085931;create=20090503001633;unique=22282253.82033;perm=r;unix.mode=-rw-r--r--;unix.owner=elamalm;unix.group=pscunix TermEMP24Nov08.txt
16:51:46 Listing: type=file;size=92833;modify=20081208113605;create=20090503001633;unique=22282253.82027;perm=r;unix.mode=-rw-r--r--;unix.owner=elamalm;unix.group=pscunix TermEMP02Dec08.txt
16:51:46 Listing: type=file;size=31713;modify=20081215080128;create=20090503001633;unique=22282253.82035;perm=r;unix.mode=-rw-r--r--;unix.owner=elamalm;unix.group=pscunix TermEMP08Dec08.txt
16:51:46 Listing: type=file;size=29134;modify=20081218091105;create=20090503001633;unique=22282253.82034;perm=r;unix.mode=-rw-r--r--;unix.owner=elamalm;unix.group=pscunix TermEMP15Dec08.txt
16:51:46 Listing: type=file;size=23890;modify=20090105090745;create=20090503001633;unique=22282253.82036;perm=r;unix.mode=-rw-r--r--;unix.owner=elamalm;unix.group=pscunix TermEMP29Dec08.txt
16:51:46 Listing: type=file;size=15;modify=20081218091311;create=20090503001633;unique=22282253.82037;perm=r;unix.mode=-rw-r--r--;unix.owner=elamalm;unix.group=pscunix delete_users_script_name
16:51:46 Listing: type=file;size=14085;modify=20090113081602;create=20090503001633;unique=22282253.82038;perm=r;unix.mode=-rw-r--r--;unix.owner=elamalm;unix.group=pscunix TermEmpl05Jan09.txt
16:51:46 Listing: type=file;size=32603;modify=20090120082831;create=20090503001633;unique=22282253.82039;perm=r;unix.mode=-rw-r--r--;unix.owner=elamalm;unix.group=pscunix TermEMP12Jan09.txt
16:51:46 Listing: type=file;size=1750;modify=20090120090057;create=20090503001633;unique=22282253.82041;perm=r;unix.mode=-rwxr--r--;unix.owner=elamalm;unix.group=pscunix mk_passwd.sh
16:51:46 Listing: type=file;size=21603;modify=20090127092057;create=20090503001633;unique=22282253.82040;perm=r;unix.mode=-rw-r--r--;unix.owner=elamalm;unix.group=pscunix TermEMP20Jan09.txt
16:51:46 Listing: type=file;size=36698;modify=20090129085412;create=20090503001633;unique=22282253.82043;perm=r;unix.mode=-rw-r--r--;unix.owner=elamalm;unix.group=pscunix TermEMPL26Jan09.txt
16:51:46 Listing: type=file;size=32357;modify=20090204083122;create=20090503001633;unique=22282253.82044;perm=r;unix.mode=-rw-r--r--;unix.owner=elamalm;unix.group=pscunix TermEMPL02Feb09.txt
16:51:46 Listing: type=file;size=123392;modify=20090205080117;create=20090503001633;unique=22282253.82042;perm=r;unix.mode=-rwx------;unix.owner=elamalm;unix.group=pscunix nc-110-sol9-sparc-local
16:51:46 Listing: type=file;size=35707;modify=20090211114053;create=20090503001633;unique=22282253.82045;perm=r;unix.mode=-rw-r--r--;unix.owner=elamalm;unix.group=pscunix TermEMPL09Feb09.txt
16:51:46 Listing: type=file;size=50;modify=20090211120841;create=20090503001633;unique=22282253.82047;perm=r;unix.mode=-rwxr-xr-x;unix.owner=elamalm;unix.group=pscunix user_id.sh
16:51:46 Listing: type=file;size=68411;modify=20090217161452;create=20090503001633;unique=22282253.82048;perm=r;unix.mode=-rw-r--r--;unix.owner=elamalm;unix.group=pscunix TermEMPL16Feb09.txt
16:51:46 Listing: type=file;size=47931;modify=20090225093549;create=20090503001633;unique=22282253.81025;perm=r;unix.mode=-rw-r--r--;unix.owner=elamalm;unix.group=pscunix TermEMPL23Feb09.txt
16:51:46 Listing: type=file;size=1485256;modify=20090311151519;create=20090503001633;unique=22282253.81026;perm=r;unix.mode=-rw-r--r--;unix.owner=root;unix.group=other surgeftp.log
16:51:46 Listing: type=file;size=59276;modify=20090312103941;create=20090503001633;unique=22282253.81027;perm=r;unix.mode=-rw-r--r--;unix.owner=elamalm;unix.group=pscunix TermEMPL09Mar09.txt
16:51:46 Listing: type=file;size=39438;modify=20090317095243;create=20090503001633;unique=22282253.81024;perm=r;unix.mode=-rw-r--r--;unix.owner=elamalm;unix.group=pscunix TermEMPL16Mar09.txt
16:51:46 Listing: type=file;size=37733;modify=20090402075912;create=20090503001633;unique=22282253.81028;perm=r;unix.mode=-rw-r--r--;unix.owner=elamalm;unix.group=pscunix TermEMPL23Mar09.txt
16:51:46 Listing: type=file;size=33510;modify=20090402075912;create=20090503001633;unique=22282253.81030;perm=r;unix.mode=-rw-r--r--;unix.owner=elamalm;unix.group=pscunix TermEMPL30Mar09.txt
16:51:46 Listing: type=file;size=33331;modify=20090409084139;create=20090503001633;unique=22282253.81029;perm=r;unix.mode=-rw-r--r--;unix.owner=elamalm;unix.group=pscunix TermEMPL07Apr09.txt
16:51:46 Listing: type=file;size=16891;modify=20090414075337;create=20090503001633;unique=22282253.81032;perm=r;unix.mode=-rwx------;unix.owner=elamalm;unix.group=pscunix Termed_Emps_Apr_10_2009.txt
16:51:46 Listing: type=file;size=2366;modify=20090504115416;create=20090504235936;unique=22282253.81033;perm=r;unix.mode=-rw-r--r--;unix.owner=elamalm;unix.group=pscunix ceva.txt
16:51:46 Listing: type=file;size=24932;modify=20090415071217;create=20090503001633;unique=22282253.81031;perm=r;unix.mode=-rw-r--r--;unix.owner=elamalm;unix.group=pscunix TermEMPL13Apr09.txt
16:51:46 Listing: type=file;size=34362;modify=20090423135634;create=20090503001633;unique=22282253.81034;perm=r;unix.mode=-rw-r--r--;unix.owner=elamalm;unix.group=pscunix TermEMPL20Apr09.txt
16:51:47 Listing: type=file;size=51352;modify=20090423140327;create=20090503001633;unique=22282253.81036;perm=r;unix.mode=-rwx------;unix.owner=elamalm;unix.group=pscunix Termed_Emps_Apr_17_2009.txt
16:51:47 Listing: type=file;size=21395;modify=20090430112606;create=20090503001633;unique=22282253.81035;perm=r;unix.mode=-rwx------;unix.owner=elamalm;unix.group=pscunix Termed_Emps_Apr_24_2009.txt
16:51:47 Listing: type=file;size=31593;modify=20090504103757;create=20090504235936;unique=22282253.81038;perm=r;unix.mode=-rwx------;unix.owner=elamalm;unix.group=pscunix Termed_Emps_May_01_2009.txt
16:51:47 Listing: type=file;size=482;modify=20090504120006;create=20090504235936;unique=22282253.81037;perm=r;unix.mode=-rwxr-xr-x;unix.owner=elamalm;unix.group=pscunix user_delete.sh
16:51:47 Listing: type=file;size=2366;modify=20090504120014;create=20090504235936;unique=22282253.81040;perm=r;unix.mode=-rw-r--r--;unix.owner=elamalm;unix.group=pscunix termed_users_delete_list
16:51:47 Listing: type=file;size=21;modify=20090508090545;create=20090508090545;unique=22282253.81039;perm=radfw;unix.mode=lrwxrwxrwx;unix.owner=elamalm;unix.group=pscunix sftp_data
16:51:47 Response: 226 MLSD complete. list access allowed (/)
16:51:47 Status: Directory listing successful
16:51:50 Status: Retrieving directory listing...
16:51:50 Command: CWD /.ssh
16:51:51 Response: 250 CWD command successful now (/.ssh)
16:51:51 Command: PWD
16:51:51 Response: 257 "/.ssh" is current directory.
16:51:51 Command: PASV
16:51:51 Response: 227 Entering Passive Mode (144,78,15,17,234,96)
16:51:51 Command: MLSD
16:51:51 Response: 150 Opening BINARY connection for /.ssh
16:51:52 Listing: type=cdir;size=512;modify=20081105092204;create=20081105092204;unique=22282253.82028;perm=cdeflmp;unix.mode=drwxr-xr-x;unix.owner=elamalm;unix.group=pscunix /.ssh
16:51:52 Listing: type=pdir;size=1536;modify=20090508090545;create=20090508090545;unique=22282253.82026;perm=cdeflmp;unix.mode=drwxr-xr-x;unix.owner=elamalm;unix.group=pscunix /
16:51:52 Listing: type=file;size=221;modify=20081105092204;create=20090503001633;unique=22282253.82029;perm=r;unix.mode=-rw-r--r--;unix.owner=elamalm;unix.group=pscunix authorized_keys
16:51:52 Response: 226 MLSD complete. list access allowed (/.ssh)
16:51:52 Status: Directory listing successful
16:51:53 Status: Retrieving directory listing...
16:51:53 Command: CWD /
16:51:53 Response: 250 CWD command successful now (/)
16:51:53 Command: PWD
16:51:53 Response: 257 "/" is current directory.
16:51:53 Status: Directory listing successful

And this is a log from version 3.2.3.1:

17:01:06 Status: Resolving address of sftp.wgint.com
17:01:06 Status: Connecting to 144.78.15.17:990...
17:01:06 Status: Connection established, initializing TLS...
17:01:06 Status: Verifying certificate...
17:01:06 Status: TLS/SSL connection established, waiting for welcome message...
17:01:07 Response: 220 SurgeFTP sftp.wgint.com (Version 2.2k6)
17:01:07 Command: USER elamalm
17:01:07 Response: 331 Password required for elamalm.
17:01:07 Command: PASS
17:01:07 Response: 230- Alias Real path Access
17:01:07 Response: 230- / /export/home/sysadm/elamalm read+write
17:01:07 Response: 230 User elamalm logged in.
17:01:07 Command: SYST
17:01:07 Response: 215 UNIX Type: L8
17:01:07 Command: FEAT
17:01:08 Response: 211-Extensions supported:
17:01:08 Response: MDTM
17:01:08 Response: MLST type*,size*,modify*,create,unique*,perm,unix.mode,unix.owner,unix.group
17:01:08 Response: PASV
17:01:08 Response: REST STREAM
17:01:08 Response: SSCN
17:01:08 Response: SIZE
17:01:08 Response: TVFS
17:01:08 Response: EPRT
17:01:08 Response: EPSV
17:01:08 Response: 211 End.
17:01:08 Command: PBSZ 0
17:01:08 Response: 200 Great whatever you say
17:01:08 Command: PROT P
17:01:08 Response: 200 Data channel will be encrypted
17:01:08 Status: Connected
17:01:08 Status: Retrieving directory listing...
17:01:08 Command: PWD
17:01:08 Response: 257 "/" is current directory.
17:01:08 Command: TYPE I
17:01:09 Response: 200 Type set to I
17:01:09 Command: PASV
17:01:09 Response: 227 Entering Passive Mode (144,78,15,17,234,99)
17:01:09 Command: LIST
17:01:09 Response: 150 Opening BINARY connection for /
17:01:10 Listing: -rw-r--r-- 1 elamalm pscunix 19 Nov 13 2008 .kshrc
17:01:10 Listing: -rw-r--r-- 1 elamalm pscunix 400 Nov 13 2008 .profile
17:01:10 Listing: -rw------- 1 elamalm pscunix 4000 May 8 4:45 .sh_history
17:01:10 Listing: drwxr-xr-x 2 elamalm pscunix 512 Nov 5 2008 .ssh
17:01:10 Listing: -rw-r--r-- 1 elamalm pscunix 92833 Dec 8 2008 TermEMP02Dec08.txt
17:01:10 Listing: -rw-r--r-- 1 elamalm pscunix 31713 Dec 15 2008 TermEMP08Dec08.txt
17:01:10 Listing: -rw-r--r-- 1 elamalm pscunix 32603 Jan 20 2:28 TermEMP12Jan09.txt
17:01:10 Listing: -rw-r--r-- 1 elamalm pscunix 29134 Dec 18 2008 TermEMP15Dec08.txt
17:01:10 Listing: -rw-r--r-- 1 elamalm pscunix 21603 Jan 27 3:20 TermEMP20Jan09.txt
17:01:10 Listing: -rw-r--r-- 1 elamalm pscunix 21364 Nov 27 2008 TermEMP24Nov08.txt
17:01:10 Listing: -rw-r--r-- 1 elamalm pscunix 23890 Jan 5 3:07 TermEMP29Dec08.txt
17:01:10 Listing: -rw-r--r-- 1 elamalm pscunix 32357 Feb 4 2:31 TermEMPL02Feb09.txt
17:01:10 Listing: -rw-r--r-- 1 elamalm pscunix 33331 Apr 9 3:41 TermEMPL07Apr09.txt
17:01:10 Listing: -rw-r--r-- 1 elamalm pscunix 35707 Feb 11 5:40 TermEMPL09Feb09.txt
17:01:10 Listing: -rw-r--r-- 1 elamalm pscunix 59276 Mar 12 5:39 TermEMPL09Mar09.txt
17:01:10 Listing: -rw-r--r-- 1 elamalm pscunix 24932 Apr 15 2:12 TermEMPL13Apr09.txt
17:01:10 Listing: -rw-r--r-- 1 elamalm pscunix 68411 Feb 17 10:14 TermEMPL16Feb09.txt
17:01:10 Listing: -rw-r--r-- 1 elamalm pscunix 39438 Mar 17 4:52 TermEMPL16Mar09.txt
17:01:10 Listing: -rw-r--r-- 1 elamalm pscunix 34362 Apr 23 8:56 TermEMPL20Apr09.txt
17:01:10 Listing: -rw-r--r-- 1 elamalm pscunix 47931 Feb 25 3:35 TermEMPL23Feb09.txt
17:01:10 Listing: -rw-r--r-- 1 elamalm pscunix 37733 Apr 2 2:59 TermEMPL23Mar09.txt
17:01:10 Listing: -rw-r--r-- 1 elamalm pscunix 36698 Jan 29 2:54 TermEMPL26Jan09.txt
17:01:10 Listing: -rw-r--r-- 1 elamalm pscunix 33510 Apr 2 2:59 TermEMPL30Mar09.txt
17:01:10 Listing: -rw-r--r-- 1 elamalm pscunix 14085 Jan 13 2:16 TermEmpl05Jan09.txt
17:01:10 Listing: -rw-r--r-- 1 elamalm pscunix 25571 Nov 12 2008 TermEmpl10Nov08.txt
17:01:10 Listing: -rwx------ 1 elamalm pscunix 16891 Apr 14 2:53 Termed_Emps_Apr_10_2009.txt
17:01:10 Listing: -rwx------ 1 elamalm pscunix 51352 Apr 23 9:03 Termed_Emps_Apr_17_2009.txt
17:01:10 Listing: -rwx------ 1 elamalm pscunix 21395 Apr 30 6:26 Termed_Emps_Apr_24_2009.txt
17:01:10 Listing: -rwx------ 1 elamalm pscunix 31593 May 4 5:37 Termed_Emps_May_01_2009.txt
17:01:10 Listing: -rw-r--r-- 1 elamalm pscunix 2366 May 4 6:54 ceva.txt
17:01:10 Listing: -rw-r--r-- 1 elamalm pscunix 15 Dec 18 2008 delete_users_script_name
17:01:10 Listing: -rwxr--r-- 1 elamalm pscunix 1750 Jan 20 3:00 mk_passwd.sh
17:01:10 Listing: -rwx------ 1 elamalm pscunix 123392 Feb 5 2:01 nc-110-sol9-sparc-local
17:01:10 Listing: lrwxrwxrwx 1 elamalm pscunix 512 May 8 4:05 sftp_data -> /ftp-data-01/wgi-data
17:01:10 Listing: -rw-r--r-- 1 root other 1485256 Mar 11 10:15 surgeftp.log
17:01:10 Listing: -rw-r--r-- 1 elamalm pscunix 2366 May 4 7:00 termed_users_delete_list
17:01:10 Listing: -rwxr-xr-x 1 elamalm pscunix 482 May 4 7:00 user_delete.sh
17:01:10 Listing: -rwxr-xr-x 1 elamalm pscunix 50 Feb 11 6:08 user_id.sh
17:01:10 Response: 226 Transfer complete.
17:01:10 Status: Calculating timezone offset of server...
17:01:10 Command: MDTM .sh_history
17:01:10 Response: 213 20090508094516
17:01:10 Status: Timezone offsets: Server: -18000 seconds. Local: 10800 seconds. Difference: 28800 seconds.
17:01:10 Status: Directory listing successful
17:01:15 Status: Retrieving directory listing...
17:01:15 Command: CWD /sftp_data
17:01:15 Response: 250 CWD command successful now (/sftp_data)
17:01:15 Command: PWD
17:01:15 Response: 257 "/sftp_data" is current directory.
17:01:15 Command: PASV
17:01:15 Response: 227 Entering Passive Mode (144,78,15,17,234,98)
17:01:15 Command: LIST
17:01:15 Response: 150 Opening BINARY connection for /sftp_data
17:01:16 Listing: drwxrwx--- 8 ftpmstr wgiftp 512 Jul 16 2008 ATLANTA
17:01:16 Listing: drwxrwx--- 3 ftpmstr wgiftp 512 Sep 7 2006 Defense
17:01:16 Listing: drwxrwxr-x 4 ftpmstr wgiftp 512 Jul 11 2005 GIS
17:01:16 Listing: drwxrwx--- 7 ftpmstr wgiftp 512 Aug 11 2008 IndistrialProcess
17:01:16 Listing: drwxrwxr-x 56 ftpmstr wgiftp 1024 Jun 10 2008 OutlookSoft
17:01:16 Listing: drwxrwx--- 4 ftpmstr wgiftp 512 Feb 8 2007 UK_SITE
17:01:16 Listing: drwxrwxr-x 5 ftpmstr wgiftp 512 Oct 20 2006 civ
17:01:16 Listing: drwxrwxr-x 109 ftpmstr wgiftp 2560 Apr 14 2:04 corp
17:01:16 Listing: drwxrwxr-x 5 ftpmstr wgiftp 512 Jul 28 2005 gas
17:01:16 Listing: drwxrwxr-x 9 ftpmstr wgiftp 512 Jun 26 2007 gov
17:01:16 Listing: drwxrwx--- 19 ftpmstr wgiftp 512 Mar 16 9:24 infrastructure
17:01:16 Listing: drwxrwxr-x 4 ftpmstr wgiftp 512 Mar 10 10:14 it
17:01:16 Listing: drwxrwxr-x 9 ftpmstr wgiftp 512 Jun 23 2006 mine
17:01:16 Listing: drwxrwxr-x 28 ftpmstr wgiftp 1024 Sep 15 2008 pwr
17:01:16 Response: 226 Transfer complete.
17:01:16 Status: Directory listing successful
17:01:17 Status: Retrieving directory listing...
17:01:17 Command: CWD /.ssh
17:01:17 Response: 250 CWD command successful now (/.ssh)
17:01:17 Command: PWD
17:01:17 Response: 257 "/.ssh" is current directory.
17:01:17 Command: PASV
17:01:17 Response: 227 Entering Passive Mode (144,78,15,17,234,98)
17:01:17 Command: LIST
17:01:18 Response: 150 Opening BINARY connection for /.ssh
17:01:18 Listing: -rw-r--r-- 1 elamalm pscunix 221 Nov 5 2008 authorized_keys
17:01:18 Response: 226 Transfer complete.
17:01:18 Status: Directory listing successful

Thanks

comment:5 Changed 11 years ago by Tim Kosse

Resolution: rejected
Status: reopenedclosed

16:51:47 Listing: type=file;size=21;modify=20090508090545;create=20090508090545;unique=22282253.81039;perm=radfw;unix.mode=lrwxrwxrwx;unix.owner=elamalm;unix.group=pscunix sftp_data

That's the problem, broken server. It clearly reports the type of sftp_data as normal file. It should have presented it as directory (type=dir) or as symbolic link (type=OS.unix=slink:/ftp-data-01/wgi-data)

Not a problem with FileZilla. Please contact the server vendor so that he can fix this server bug.

comment:6 Changed 5 years ago by Wratko Hlavina

Resolution: rejected
Status: closedreopened

This bug was closed in 2009, but while the implementation conforms to the 2007 RFC 3659, you missed the 2008 Errata ID 1500. The correct syntax to support for a symbolic link should be:

Type=OS.unix=symlink;Perm=;Unique=keVO1+4G4; foobar

You can find discussions about this, for example here:

comment:7 Changed 5 years ago by Wratko Hlavina

For the record, we see the issue using the Mac client (while this ticket was opened as a Windows client issue). Also, I saw this ticket before seeing #7904.

comment:8 Changed 4 years ago by Alexander Schuch

Description: modified (diff)
Operating system type: Windows
Operating system version: Vista -32bit Enterprise
Note: See TracTickets for help on using tickets.